
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JavaScript之Vue.js【入门基础】_javascript技巧 / iVAN</title>

    <meta name="description" content="JavaScript之Vue.js【入门基础】_javascript技巧 本篇将简单介绍一下Vue.js,并在Node.js环境下搭建一个简单的Demo. 一.简介 我个人理解,Vue.js是一套前端视图层的框架,它只关心视图展示和数据绑定,它的一些语法与Angular 1非常相似,如果有Angular 1相关的使用经验,上手会非常快. 相比较其他的React.Angular 2等MVVM框架,它更加的轻量,效率也更高,也能更好的与其他库集成. 它拥有以下几个出色的特性: 数据双向绑定 指令 模板 组件 当前最新的版本为2.1.4.后续也会在这个版本下演示Demo.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JavaScript之Vue.js【入门基础】_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本篇将简单介绍一下Vue.js，并在Node.js环境下搭建一个简单的Demo。</p>
<p><strong>一、简介</strong></p>
<p>我个人理解，Vue.js是一套前端视图层的框架，它只关心视图展示和数据绑定，它的一些语法与Angular 1非常相似，如果有Angular 1相关的使用经验，上手会非常快。</p>
<p>相比较其他的React、Angular 2等MVVM框架，它更加的轻量，效率也更高，也能更好的与其他库集成。</p>
<p>它拥有以下几个出色的特性：</p>
<ul>
<li>数据双向绑定</li>
<li>指令</li>
<li>模板</li>
<li>组件</li>
</ul>
<p>当前最新的版本为2.1.4。后续也会在这个版本下演示Demo。</p>
<p><strong>二、环境准备</strong></p>
<p>下载安装Node.js环境，安装成功后在命令行窗口依次执行以下命令：</p>
<pre>
&gt; npm install bower -g
&gt; npm install express-generator -g</pre>
<p>安装完成后进入工程目录（随意新建一个目录），依次执行以下命令，创建一个名为vue-demo的项目：</p>
<pre>
 &gt; express vue-demo --view=ejs
 &gt; cd vue-demo
 &gt; npm install
 &gt; bower init
 &gt; bower install requirejs --save
 &gt; bower install vue --save</pre>
<p>所有命令执行成功后，在项目根目录手动增加一个名为.bowerrc文件，内容如下</p>
<pre>
 {
  "directory": "public/plugins/"
}</pre>
<p>为了后面显示的demo页面好看一点，再引入bootstrap。这步不是必须的</p>
<p><code>&gt; bower install bootstrap --save</code></p>
<p>最终的目录结构如下</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIwNjE2NDIxODg3LnBuZw==.jpg"></p>
<p><strong>三、Hello World</strong></p>
<p>按照惯例，学习一个新的语言，都要先问候一下我们这个精彩的世界。修改 views/index.ejs 文件内容</p>
<pre>
&lt;!DOCTYPE html&gt;
&lt;html lang="zh-cn"&gt;
&lt;head&gt;
 &lt;meta charset="utf-8"&gt;
 &lt;meta http-equiv="X-UA-Compatible" content="IE=edge"&gt;
 &lt;meta name="viewport" content="width=device-width, initial-scale=1"&gt;
 &lt;title&gt;Index&lt;/title&gt;
 &lt;!-- Bootstrap --&gt;
 &lt;link href="plugins/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet"&gt;
&lt;/head&gt;
&lt;body&gt;
 &lt;div id="app" class="container"&gt;
  &lt;input type="text" v-model="message" /&gt;
  &lt;p&gt;{{message}}&lt;/p&gt;
 &lt;/div&gt;
 &lt;!-- requirejs main --&gt;
 &lt;script src="plugins/requirejs/require.js" data-main="javascripts/index.js"&gt;&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>在 public/javascrips 目录里新建一个文件 index.js ，内容如下</p>
<pre>
/// &lt;reference path="../plugins/requirejs/require.js" /&gt;
require.config({
  baseUrl: "plugins",
  paths: {
    jquery: "jquery/dist/jquery.min",
    bootstrap: "bootstrap/dist/js/bootstrap.min",
    vue: "vue/dist/vue.min"
  }
});
require(['jquery', 'bootstrap', 'vue'], function ($, bootstrap, Vue) {
  var vm = new Vue({
    el: "#app",
    data: {
      message: "Hello world!"
    }
  });
});</pre>
<p>在命令行窗口的项目目录下执行命令 npm start ，访问 http://localhost:3000/</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIwNjE2NDIxODg4LnBuZw==.jpg"></p>
<p>修改文本框里的内容，下方文字也会跟着变化</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIwNjE2NDIxODg5LnBuZw==.jpg"></p>
<p>这是一个简单的双向数据绑定的例子。通过Vue类型构造了一个根实例，分别给 el 属性赋值需要绑定的页面元素ID，给 data 属性赋值需要绑定的数据。在页面里，通过给 input 元素添加指令 v-model ，绑定到数据的message属性。在 p 元素里通过表达式 {{message}} 绑定message属性。这样页面就能直接展示绑定的数据内容，在改变 input 的内容时，也能同步改变下方文本内容。</p>
<p><strong>四、属性、方法</strong></p>
<p>通过Vue实例可以直接访问绑定的数据的属性。修改 index.js 文件内容：</p>
<pre>
require(['jquery', 'bootstrap', 'vue'], function ($, bootstrap, Vue) {
  var d = {
    message: "Hello world!"
  };
  var vm = new Vue({
    el: "#app",
    data: d
  });
  // 属性代理
  console.log('vm.message = ' + vm.message);
  console.log('vm.message === d.message? ' + (vm.message === d.message));
});</pre>
<p>访问页面，查看浏览器控制台显示如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIwNjE2NDIxODkwLnBuZw==.jpg"></p>
<p>从上面的例子可以看到， vm 实例“代理”了绑定的数据对象，通过实例可以直接访问数据对象里的属性。</p>
<p>除了能“代理”数据对象， vm 实例也有一些内置属性和方法，这些属性和方法都有 $ 前缀。再修改 index.js 内容：</p>
<pre>
require(['jquery', 'bootstrap', 'vue'], function ($, bootstrap, Vue) {
  var d = {
    message: "Hello world!"
  };
  var vm = new Vue({
    el: "#app",
    data: d
  });
  // 属性代理
  console.log('vm.message = ' + vm.message);
  console.log('vm.message === d.message? ' + (vm.message === d.message));
  console.log('vm.$data = ' + JSON.stringify(vm.$data));
  console.log('vm.$data === d? ' + (vm.$data === d));
  console.log('vm.$el = ' + vm.$el);
  console.log('vm.$el === div.#app? ' + (vm.$el === document.getElementById('app')));
  // 内置方法
  vm.$watch('message', function (oldVal, newVal) {
    console.log('oldVal is: ' + oldVal);
    console.log('newVal is: ' + newVal);
  });
});</pre>
<p>刷新页面，查看控制台：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIwNjE2NDIxODkxLnBuZw==.jpg"></p>
<ul>
<li>$data：Vue实例的数据对象。通过这个属性可以访问到原始数据对象。</li>
<li>$el：Vue实例挂载的DOM元素对象。</li>
</ul>
<p>修改页面文本框的内容，查看控制台：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIwNjE2NDIxODkyLnBuZw==.jpg"></p>
<p>$watch：Vue实例监视属性变化的内置方法。当被监视的属性改变时，将会触发这个方法。</p>
<p><strong>五、生命周期钩子</strong></p>
<p>Vue也提供了在实例化时各个状态变化过程中触发的事件方法。修改 index.js 内容：</p>
<pre>
require(['jquery', 'bootstrap', 'vue'], function ($, bootstrap, Vue) {
  var d = {
    message: "Hello world!"
  };
  var vm = new Vue({
    el: "#app",
    data: d,
    beforeCreate: function () {
      console.log('beforeCreate is triggered.')
    },
    created: function () {
      console.log('created is triggered.')
    },
    beforeMount: function () {
      console.log('beforeMount is triggered.')
    },
    mounted: function () {
      console.log('mounted is triggered.')
    },
    beforeUpdate: function () {
      console.log('beforeUpdate is triggered.')
    },
    updated: function () {
      console.log('updated is triggered.')
    },
    beforeDestroy: function () {
      console.log('beforeDestroy is triggered.')
    },
    destroyed: function () {
      console.log('destroyed is triggered.')
    }
  });
});</pre>
<p>刷新页面，查看控制台：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIwNjE2NDIxODkzLnBuZw==.jpg"></p>
<p>修改文本框内容，查看控制台：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIwNjE2NDIxODk0LnBuZw==.jpg"></p>
<ul>
<li>beforeCreate：在实例初始化之后，数据观测(data observer) 和 event/watcher 事件配置之前被调用。</li>
<li>created：实例已经创建完成之后被调用。这个时候数据观测(data observer)，属性和方法的运算，watch/event 事件回调已经完成。</li>
<li>beforeMount：在挂载开始之前被调用：相关的 render 函数首次被调用。</li>
<li>mounted： el 被新创建的 vm.$el 替换，并挂载到实例上去之后调用该钩子。</li>
<li>beforeUpdate：数据更新时调用，发生在虚拟 DOM 重新渲染和打补丁之前。</li>
<li>updated：由于数据更改导致的虚拟 DOM 重新渲染和打补丁，在这之后会调用该钩子。这个时候DOM已经更新完成。</li>
<li>beforeDestroy：实例销毁之前调用。在这一步，实例仍然完全可用。</li>
<li>destroyed：Vue 实例销毁后调用。调用后，Vue 实例指示的所有东西都会解绑定，所有的事件监听器会被移除，所有的子实例也会被销毁。</li>
</ul>
<p>下面是完整的生命周期图示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MTIwNjE2NDIxODk1LnBuZw==.jpg"></p>
<p>以上就是本文的全部内容，希望本文的内容对大家的学习或者工作能带来一定的帮助，如果有疑问大家可以留言交流，同时也希望多多支持！</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索js<br />
                                    vue.js<br />
                                    javascript基础入门、javascript vue、mongovue javascript、vue.js入门、vue入门，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-13 15:29:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/vue-js/" title="vue&period;js">vue&period;js</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JavaScript之Vue.js【入门基础】_javascript技巧的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVdP5z.html" rel="bookmark">JavaScript学习小结&lpar;一&rpar;&mdash;&mdash;JavaScript入门基础&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.JavaScript语言特点 1.1.JavaScript是基于对象和事件驱动的(动态的) 它可以直接对用户或客户输入做出响应,无须经过Web服务程序.它对用户的响应,是采用以事件驱动的方式进行的.所谓事件驱动,就是指在主页中执行了某种操作所产生的动作,就称为&quot;事件&quot;.比如按下鼠标,移动窗口,选择菜单等都可以视为事件.当事件发生后,可能会引起相应的事件响应. 1.2.JavaScript是跨平台的 JavaScript是依赖于浏览器本身的,与操作系统无关. 二.JavaScript			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1w4Gaz.html" rel="bookmark">适用于javascript开发者的Processing&period;js入门教程&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这个入门指导是为javascript开发者写的.读这个文档之前,你最好掌握javascript和web开发编程,并还会非常基本的 Processing 知识. 目录:为没有耐心看长篇大论的人准备:         如果你很着急入门,那么你就需要知道以下几点:              1.Processing.js 把 Processing 代码转变成能够在浏览器端运行的javascript代码,实质是通过&lt;canvas&gt;标签来实现绘图的:              2.为了使用它,你的首先下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd0J76p.html" rel="bookmark">JavaScript入门基础&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript基本语法 1.运算符 运算符就是完成操作的一系列符号,它有七类: 赋值运算符(=,+=,-=,*=,/=,%=,&lt;&lt;=,&gt;&gt;=,|=,&amp;=).算术运算符(+,-,*,/,++,--,%).比较运算符(&gt;,&lt;,&lt;=,&gt;=,==,===,!=,!==).逻辑运算符(||,&amp;&amp;,!).条件运算(?:).位移运算符(|,&amp;,&lt;&lt;,&gt;&gt;,~,^)和字符串运算符(+). 可能很多人不知道&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwXVQEb.html" rel="bookmark">学习vue&period;js计算属性&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于vue.js的计算属性练习代码,供大家参考,具体内容如下 &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;vuejs计算属性&lt;/title&gt; &lt;/head&gt; &lt;body&gt; &lt;!-- 字母反转方式一:不推荐 --&gt; &lt;div id=&quot;app-1&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5VK1qz.html" rel="bookmark">学习vue&period;js条件渲染&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了vue.js中条件渲染的练习代码,供大家参考,具体内容如下 html: &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;条件渲染&lt;/title&gt; &lt;/head&gt; &lt;body&gt; &lt;!-- v-if 作为判断条件 如果满足则展示它所附着的元素的内容--&gt;			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlOd0p.html" rel="bookmark">vue&period;js入门教程之基础语法小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 Vue.js是一个数据驱动的web界面库.Vue.js只聚焦于视图层,可以很容易的和其他库整合.代码压缩后只有24kb. 以下代码是Vue.js最简单的例子, 当 input 中的内容变化时,p 节点的内容会跟着变化. &lt;!-- html --&gt; &lt;div id=&quot;demo&quot;&gt; &lt;p&gt;{{message}}&lt;/p&gt; &lt;input v-model=&quot;message&quot;&gt; &lt;/div&gt; new			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdm0w2z.html" rel="bookmark">vue&period;js入门教程之计算属性&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 计算属性是用来声明式的描述一个值依赖了其它的值.当你在模板里把数据绑定到一个计算属性上时,Vue 会在其依赖的任何值导致该计算属性改变时更新 DOM.这个功能非常强大,它可以让你的代码更加声明式.数据驱动并且易于维护. 模板中表达式非常便利,但是它们实际上只用于简单的操作. 模板是为了描述视图的结构,在模板中放入太多的逻辑会让模板过重且难以维护. 这就是为什么 Vue.js 将绑定表达式限制为一个表达式, 如果需要多于一个表达式的逻辑,应当使用计算属性. 来看这一个简单的例子 &lt;div i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8E0EBz.html" rel="bookmark">Vue&period;js快速入门教程&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				像AngularJS这种前端框架可以让我们非常方便地开发出强大的单页应用,然而有时候Angular这种大型框架对于我们的项目来说过于庞大,很多功能不一定会用到.这时候我们就需要评估一下使用它的必要性了.如果我们仅仅需要在一个简单的网页里添加屈指可数的几个功能,那么用Angular就太麻烦了,必要的安装.配置.编写路由和设计控制器等等工作显得过于繁琐. 这时候我们需要一个更加轻量级的解决方案.Vue.js就是一个不错的选择.Vue.js是一个专注于视图模型(ViewModal)的框架.视图模型是U			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEQ25z.html" rel="bookmark">Vue&period;JS入门教程之列表渲染&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你可以使用 v-repeat 指令来基于 ViewModel 上的对象数组渲染列表.对于数组中的每个对象,该指令将创建一个以该对象作为其 $data 对象的子 Vue 实例.这些子实例继承父实例的数据作用域,因此在重复的模板元素中你既可以访问子实例的属性,也可以访问父实例的属性.此外,你还可以通过 $index 属性来获取当前实例对应的数组索引. &lt;ul id=&quot;demo&quot;&gt; &lt;li v-repeat=&quot;items&quot; class=&quot;ite			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ1ewb.html" rel="bookmark" class="title">JVM垃圾回收描述</a>
					<div>
						垃圾回收分多级,0级为全部(Full)的垃圾回收,会回收OLD段中的垃圾:1级或以上为部分垃圾回收,只会回收Young中的垃圾,内存溢出通常发生于OLD段或Perm段垃圾回收后,仍然无内存空间容纳新的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEQmqb.html" rel="bookmark" class="title">如何让WebServer返回指定XML内容</a>
					<div>
						通过创建WEBServer代理可以当作本地类使用,但能不能返回指定的XML呢?比如通过checkpass服务检测帐号和密码之后要返回该用户拥有的权限列表.怎么实现呢? ASP.NET Web服务支持在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj52Zz.html" rel="bookmark" class="title">一步步编写PHP的Framework&lpar;十三&rpar;</a>
					<div>
						  上次讲到控制器怎么样将数据传递到视图,今天我就主要说一下在程序中怎么让代码更&quot;安全&quot;,之后就转到讲模型,再讲怎么做视图,最后再讲控制器的功能强化.       我再声明一下,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEakPb.html" rel="bookmark" class="title">多元化流量来源：网站流量来源不单一</a>
					<div>
						2012年就那样的悄然而逝了,SEO们经历了世界末日的考验,迎来了2013这新的一年.在过去的一年中,普遍的SEO们还是在使用着老套的手段进行网站推广,通过搜索引擎来为网站带来流量.这个方法是对的,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRydnab.html" rel="bookmark" class="title">在PowerPoint中制作彩色数学公式</a>
					<div>
						采取上面&quot;公式编辑器&quot;方法直接制作的公式是黑色的,作演示文稿效果不太好,可以用下面两种方法将其转换成彩色的: 方法一:用阴影.选中插入的公式,单击&quot;绘图&quot;工具栏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7eQnb.html" rel="bookmark" class="title">ASP&period;NET服务器控件开发简介：ComboBox</a>
					<div>
						我在Web项目的开发过程中很多时候都要用到ComboBox,找了很多类似的控件来用发现都不尽如人意,我所希望的能够在WEB上使用的ComboBox应该就是在DropDownList的功能上加入了文本输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNqg0b.html" rel="bookmark" class="title">动易模板常用CSS修改实际操作技巧</a>
					<div>
						  1.--栏目文章列表内容间隔颜色的定义-- 方法一(雅虎提供):如果是默认的,即不需要改函数式标签GetArticleList中的参数,可以用CSS来定义(在后台风格中修改): .listbg / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNjv8b.html" rel="bookmark" class="title">在c和c&plus;&plus;中实现函数回调</a>
					<div>
						友元函数的特点是能够访问类中的私有成员的非成员函数.友元函数从语法上看,它与普通函数一样,即在定义上和调用上与普通函数一样   友元函数和友元类的需要:类具有封装和信息隐藏的特性.只有类的成员函数才能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6V5Bz.html" rel="bookmark" class="title">4m的网速是多少&quest;关于宽带网速的计算方法</a>
					<div>
						4m的网速是多少?可能大家每天都在接触网络,上网成了老百姓日常生活的一个重要部分.然而,很多人对网速的概念还很模糊,别人说给你拉了 4m宽带,拉了后就不管了.有时候自己的网速慢得打开网页都困难,也不知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WNQmb.html" rel="bookmark" class="title">电脑中打开图片另存为窗口没有可以保存到桌面的选项如何解决</a>
					<div>
						  电脑中打开图片另存为窗口没有可以保存到桌面的选项如何解决          1.如果要保存一张图片,通常会右击图片,选择&quot;图片另存为&quot;; 2.但是打开的另存为窗口却没有可以保存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArV42p.html" rel="bookmark" class="title">Photoshop通道应用：详细解析计算法的应用</a>
					<div>
						  因为好几位朋友给我打电话,反映严格按照我提供的混合模式(正片叠底)和数据操作(不透明度45%),结果对此幅外国MM做出来的效果看起来非常差,甚至还不如直接&quot;去色&quot;的效果,所以补 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7W5OM.html" rel="bookmark" class="title">常用的网页格式文件有哪些？</a>
					<div>
						  网站是由多个网页组合在一起,通常包括主页和其他具有超链接文件的网页页面.网页(英文:Web page)是一个html文件,他存放在世界某个角落的某一部计算机中,而这部计算机必须是与互联网相连的而网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBowaz.html" rel="bookmark" class="title">PhotoBooth是什么意思？</a>
					<div>
						  Photo Booth 是什么?Photo Booth 是苹果公司开发的运行在Mac OS X与iOS上的一个小型应用程序,主要功能是通过摄像头iSight进行数码拍照.很多朋友可能忽略了这个小功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYW8oM.html" rel="bookmark" class="title">《魔兽》遭黑客入侵 主城横尸遍野</a>
					<div>
						本文讲的是 :  &lt;魔兽&gt;遭黑客入侵 主城横尸遍野  ,  北京时间今日早间,&lt;魔兽世界&gt;的北美服务器出现了主城玩家大量死亡的&quot;灵异事件&quot;.当时所有停留在主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQ7AEp.html" rel="bookmark" class="title">oracle数据库oradebug poke ORA-32521&sol;ORA-32519故障解决</a>
					<div>
						最近有不少朋友咨询12.1.0.2及其以后的版本使用oradebug去修改scn失败,这里做了一个测试正常情况下确实无法修改(oradebug poke报 ORA-32519 或者 ORA-32521 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVdrAb.html" rel="bookmark" class="title">联邦CTO：从菜单上选择标准的云模式</a>
					<div>
						在政府方面,澳大利亚政府的首席技术官John Sheridan相信基于云计算的服务模式能够在资金使用方面带来价值,只要政府部门能够接受标准的产品,而不是没完没了地定制新功能. 星期二,在悉尼召开的Cr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7oEjz.html" rel="bookmark" class="title">java 如何根据 code 39 根据字体生成条码 ？</a>
					<div>
						问题描述 java 如何根据 code 39 根据字体生成条码 ? 根绝code 39字体 生成条形码,不要以流的形式生成条形码图片,我希望的是根据字体生成出的条形码如有代码请附上,谢谢.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA71Wnz.html" rel="bookmark" class="title">c&plus;&plus;基础c&plus;&plus;-求大神写一段c&plus;&plus;代码，做题能做对但是自己写代码就漏洞百出，求大神指导</a>
					<div>
						问题描述 求大神写一段c++代码,做题能做对但是自己写代码就漏洞百出,求大神指导 年龄 Age姓名 char name公有成员函数: 构造函数 带参数的构造函数Student(int mchar);  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjkvyM.html" rel="bookmark" class="title">初学java程序运行异常</a>
					<div>
						问题描述 初学java程序运行异常 第一个文件StaticMain.java public class StaticMain{ public static void main(String[] arg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqeYvz.html" rel="bookmark" class="title">香港主机IP独立对于网站来说有什么优势？</a>
					<div>
						竞争日益激烈的营销市场里,为适应市场的需求http://www.aliyun.com/zixun/aggregation/8118.html&quot;&gt;营销方式的改变成为突破口,网络营销也应运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeEEjb.html" rel="bookmark" class="title">asp&period;net 微信扫码支付 回调处理的问题</a>
					<div>
						问题描述 asp.net 微信扫码支付 回调处理的问题 我使用开发模式二,先调用统一下单接口生成订单,然后在回调地址里面处理更新订单状态以及商品库存的逻辑,最后通知微信支付完成. 下载了官方的demo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBGwOM.html" rel="bookmark" class="title">防范数据在&OpenCurlyDoubleQuote;云&rdquo;中消失</a>
					<div>
						我们很多人都理所当然地认为上传的数据,比如今天拍摄的图片存放在某个网站上,或是我们写的博客文章等,明天依然会在网络上.我们越来越习惯于依赖Web服务,并将这视为理所当然的事情.这种假设在很大程度上是因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RQnvb.html" rel="bookmark" class="title">在android studio上运行百度地图</a>
					<div>
						问题描述 在android studio上运行百度地图 在真机上和genymotion上面运行的不一样 然后我朋友说可能.so文件少了..我也不清楚.. 真机运行出现error opening tra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjKKoM.html" rel="bookmark" class="title">Silverlight实用窍门系列：44&period;Silverlight 4&period;0中进行单元测试 【附带源码实例】</a>
					<div>
						在Silvelight 4.0的项目中我们也需要制作单元测试以保证项目的质量,本节将讲诉如何创建一个项目进行单元测试. 一.创建一个名为SL4UnitAPP的Silverlight 应用程序,不需要W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLNWaM.html" rel="bookmark" class="title">maven-Plugin execution not covered by lifecycle</a>
					<div>
						问题描述 Plugin execution not covered by lifecycle Plugin execution not covered by lifecycle configurati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBPKgM.html" rel="bookmark" class="title">基于Logspout&plus;ELK实现docker日志自动化</a>
					<div>
						Logspout是在用于收集Docker容器日志的工具.它连接到主机上的所有容器,然后将其路由到你想让让它去的地方.它也有一个可扩展的模块系统.现在它仅捕获STDOUT和STDERR. ELK在文章容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Zm7kb.html" rel="bookmark" class="title">JQuery获取表格数据示例代码&lowbar;jquery</a>
					<div>
						有这样一个表格:  点击删除执行保存,需要执行onclick事件SaveItem(&quot;&lt;%#Eval(&quot;ID&quot;)&gt;&quot;,this); 在JS中 复制代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYe3Lb.html" rel="bookmark" class="title">mysql数据库程序优化方法</a>
					<div>
						mysql数据库程序优化方法 1.选取最适用的字段属性 MySQL可以很好的支持大数据量的存取,但是一般说来,数据库中的表越小,在它上面执行的查询也就会越快.因此,在创建表的时候,为了获得更好的性能, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8V50b.html" rel="bookmark" class="title">javaee-初学者有关IO流统计成绩到另一个文件的问题</a>
					<div>
						问题描述 初学者有关IO流统计成绩到另一个文件的问题 编写一个程序RecordScore.java用来记录某课程的成绩,要求从键盘输入学生姓名和成绩,每行输入一个学生的成绩,输入end#表示输入结束. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWkGlM.html" rel="bookmark" class="title">推荐一个基于webrtc实现语音通讯的课程</a>
					<div>
						问题描述 该课程由环信资深音视频技术专家 **彭祖元** 老师主讲 http://edu.csdn.net/course/detail/320**特别提示:想看课程但没有C币?社区近期将要推出C币大放 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
